GDBserver

Functions | Variables
debug.c File Reference
`#include "server.h"`
`#include <chrono>`

Go to the source code of this file.

## Functions
void | debug_vprintf (const char *format, va_list ap)
void | debug_flush (void)
void | do_debug_enter (const char *function_name)
void | do_debug_exit (const char *function_name)

## Variables
int | debug_threads
int | debug_timestamp

## Function Documentation

## ◆ debug_flush()

void debug_flush | ( | void |  | ) |

Definition at line 66 of file debug.c.

Referenced by getpkt(), handle_general_set(), prefork_hook(), and putpkt_binary_1().

## ◆ debug_vprintf()

void debug_vprintf | ( | const char * | format,
|  | va_list | ap
| ) |  |

Definition at line 35 of file debug.c.

References debug_timestamp.

Referenced by ATTRIBUTE_PRINTF(), and debug_printf().

## ◆ do_debug_enter()

void do_debug_enter | ( | const char * | function_name | ) |

Definition at line 77 of file debug.c.

References debug_printf().

## ◆ do_debug_exit()

void do_debug_exit | ( | const char * | function_name | ) |

Definition at line 89 of file debug.c.

References debug_printf().

## Variable Documentation

## ◆ debug_threads

int debug_threads

Definition at line 24 of file debug.c.

Referenced by add_insns(), attach_proc_task_lwp_callback(), attach_thread(), ATTRIBUTE_PRINTF(), captured_main(), check_zombie_leaders(), complete_ongoing_step_over(), delete_fast_tracepoint_jump(), delete_lwp(), delete_raw_breakpoint(), dequeue_one_deferred_signal(), emit_ops_insns(), enqueue_one_deferred_signal(), find_new_threads_callback(), find_one_thread(), finish_step_over(), gdb_no_commands_at_breakpoint_z_type(), get_detach_signal(), get_pc(), get_syscall_trapinfo(), handle_accept_event(), handle_detach(), handle_extended_wait(), handle_monitor_command(), handle_serial_event(), handle_target_event(), handle_tracepoint_bkpts(), handle_tracepoints(), insert_memory_breakpoint(), kill_one_lwp_callback(), kill_wait_lwp(), linux_async(), linux_attach_lwp(), linux_detach_one_lwp(), linux_get_pc_32bit(), linux_get_pc_64bit(), linux_kill(), linux_kill_one_lwp(), linux_low_filter_event(), linux_resume(), linux_resume_one_lwp_throw(), linux_resume_one_thread(), linux_set_resume_request(), linux_stabilize_threads(), linux_wait_1(), linux_wait_for_event_filtered(), linux_write_memory(), linux_xfer_siginfo(), lwp_suspended_inc(), lynx_debug(), lynx_ptrace(), maybe_move_out_of_jump_pad(), move_out_of_jump_pad_callback(), need_step_over_p(), nto_trace(), prefork_hook(), prepare_resume_reply(), proceed_all_lwps(), proceed_one_lwp(), process_point_options(), queue_stop_reply_callback(), reinsert_breakpoints_at(), reinsert_fast_tracepoint_jumps_at(), reinsert_raw_breakpoint(), remove_memory_breakpoint(), resume_stopped_resumed_lwps(), save_stop_reason(), select_event_lwp(), send_sigstop(), set_fast_tracepoint_jump(), set_raw_breakpoint_at(), sigchld_handler(), single_step(), start_step_over(), stop_all_lwps(), thread_db_find_new_threads(), thread_db_load_search(), thread_still_has_status_pending_p(), trace_buffer_alloc(), tracepoint_look_up_symbols(), try_thread_db_load(), try_thread_db_load_1(), uninsert_breakpoints_at(), uninsert_fast_tracepoint_jumps_at(), uninsert_raw_breakpoint(), unstop_all_lwps(), upload_fast_traceframes(), and wait_for_sigstop().

## ◆ debug_timestamp

int debug_timestamp

Definition at line 27 of file debug.c.

Referenced by debug_vprintf(), and parse_debug_format_options().